Télécharger SPIP

SPIP 3.2.0
(13 octobre 2017)

Une fois le fichier zip ci-après téléchargé sur votre ordinateur, vous devrez le décompresser, puis installer l’ensemble, par FTP, sur votre site.

Télécharger

Installation automatique

Récupérez le fichier spip_loader.php (ci-après) et recopiez-le dans le répertoire où vous voulez installer SPIP (à la racine de votre site Web, par exemple). Le spip_loader installera la dernière version stable de la branche SPIP 3.2

Télécharger

Ensuite appelez ce fichier depuis votre navigateur Web, et attendez que le chargement se termine.

NB : spip_loader.php n’est accessible par défaut que pour l’auteur n°1.
Vous pouvez personnaliser ce réglage en modifiant la ligne define('_SPIP_LOADER_UPDATE_AUTEURS', '1');.

Attention :
Par défaut, le script effectue l’installation et la mise à jour vers la dernière version stable de SPIP (3.2).

À partir de la version 3 du SPIP Loader :

  • une liste déroulante permet de choisir la version à installer
  • si aucun SPIP n’est installé :
    • la liste déroulante sélectionne la dernière version stable
  • si un SPIP est déjà installé :
    • la liste déroulante se positionne par défaut sur la dernière version de la même branche que le site (si elle est encore référencée).
    • les fichiers obsolètes après la mise à jour (c’est à dire qui ont été retirés entre la version actuelle du site et la version installée) sont archivés dans un répertoire fichiers_obsoletes_{date}date est remplacée par la date et heure du jour. Ceci est fait uniquement sur les répertoires : ecrire, prive, squelettes-dist et plugins-dist (et l’ancien répertoire extensions).
    • corolairement au point précédant, si des plugins avaient été ajouté dans le répertoire plugins-dist/ (n’appartenant donc pas au zip fournit par SPIP), ils seront aussi déplacés dans ce répertoire de fichiers obsolètes, sauf s’ils contiennent un fichier .spip_loader_keep.

Il est aussi possible de forcer un certain zip avec la constante _CHEMIN_FICHIER_ZIP. Exemple :

define('_CHEMIN_FICHIER_ZIP', 'spip/stable/spip-3.2.zip');

Si la procédure échoue, vous devrez effectuer l’installation manuelle à partir du paquet ci-dessus.

Pour tout savoir sur le spip_loader

Versions de développement

SPIP est développé sous SVN. Il existe plusieurs branches suivant les versions de SPIP maintenues :

  • Des branches dites "stables" pour les versions 3.0, 3.1, 3.2 qui ne reçoivent plus que des corrections de bugs, et quelques fois de petits ajouts fonctionnels.
  • Une branche de développement qui peut, selon le moment, corriger un bug récent ou être totalement inutilisable si de nouvelles fonctionnalités importantes sont ajoutées ou modifiées.

Voici les différentes adresses pour télécharger ces versions en utilisant SVN :

La branche de développement est aussi disponible en ZIP ici :
Télécharger

Le projet de développement de SPIP bénéficie de son propre site web : http://core.spip.org/.


Archives

Vous trouverez ici les anciennes versions de SPIP.
télécharger une ancienne version


Compléments

SPIP Contrib’ est le site de référence de la communauté utilisatrice de SPIP. Vous y trouverez tout ce que vous cherchez, astuces, squelettes, etc. Vous pouvez aussi y apporter les vôtres !

Publié le : Mis à jour : 26/11/17

Traductions : عربي, asturianu, български, brezhoneg, català, corsu, čeština, Deutsch, English, Esperanto, Español, euskara, فارسى, français, italiano, 日本語, Nederlands, òc lengadocian, Português, slovenčina, svenska, Türkçe, українська